 
<!-- Folders Menu toggle script -->
$("#folders-menu-toggle").click( function (e){
    e.preventDefault();
    $("#wrapper").toggleClass("foldersMenuDisplayed");
});
    
<!-- Filters Menu toggle script -->

$("#filters-menu-toggle").click( function (e){
    e.preventDefault();
    $("#wrapper").toggleClass("filtersMenuDisplayed");
});


function refreshPage() {
    location.reload(); // Reload the page
}
    
function checkAllSelection() {
    console.log("checkAllSelection:");
    isChecked = document.getElementById('select-all-checkbox').checked;
    console.log("isChecked:",isChecked);
    document.getElementById('moveButton').disabled = !isChecked;
    document.getElementById('deleteButton').disabled = !isChecked;
}
  
// if at least one chkbox selected, activate move button, else deactivate
function checkSelection() {
    console.log("checkSelection:");
    // Get all select boxes
    var selectBoxes = document.querySelectorAll('.select-box');
    console.log("selectBoxes:",selectBoxes);
    // Check if at least one select box has a selected option
    var enableButton = Array.from(selectBoxes).some(function(input) {
      return input.checked == true;
    });
    console.log("enableButton:",enableButton);
    // Enable or disable the button based on the condition
    document.getElementById('moveButton').disabled = !enableButton;
    document.getElementById('deleteButton').disabled = !enableButton;
    // Check if at least one select box has a DEselected option, if yes deactivate select all checkbox DSAC
    var dsac = Array.from(selectBoxes).some(function(input) {
      return input.checked == false;
    });
    console.log("dsac:",dsac);
    // Enable or disable the sac based on the condition
    document.getElementById('select-all-checkbox').checked = !dsac;
}

// get eids of selected mails in the folder
function getCheckedEids(nodeList) {
  const checkedNodes = Array.from(nodeList).filter(node => node.checked);
  console.log("checkedNodes:",checkedNodes);
  console.log("checkedNodes.map(node => parseInt(node.getAttribute('eid'), 10)):",checkedNodes.map(node => parseInt(node.getAttribute('eid'), 10)));
  const eidsArray = checkedNodes.map(node => parseInt(node.getAttribute('eid'), 10));
  const result = eidsArray.join(','); // strinfigy result
  console.log("getCheckedEids result:",result);
  return result;
}

// execute endpoint URL with the foldername and list of selected mails - eids to be deleted
function deleteMail(folder, search_filter) {
    console.log("deleteMail:");
    // Get all select boxes
    var selectBoxes = document.querySelectorAll('.select-box');
    // console.log("selectBoxes:",selectBoxes);
    // get eids of selected select boxes
    const result = getCheckedEids(selectBoxes);
    // console.log("getCheckedEids:",result);  // this is eids
    // construct and call URL for deletion of mails
    // Construct the URL with parameters
    var targetUrl = '/mails_delete?folder=' + encodeURIComponent(folder) + '&eids=' + encodeURIComponent(result) + '&search_filter=' + encodeURIComponent(search_filter); 
    // Redirect to the constructed URL
    // console.log('Junp to URL:', targetUrl);// Log the current URL to the console
    window.location.href = targetUrl;
}


// execute endpoint URL with the foldername and list of selected mails 
// - eids to be moved to target folder which is seledcted through floatingBox
function moveMails(folder, search_filter) {
    openFloatingWindow(); // select target_folder or None; selectItem?
    // next is done in selectItem
}


$(document).ready(function() {
    // Handle the click event of the "Select All" checkbox
    $('.select-all-checkbox').change(function() {
        // Toggle all other checkboxes based on the state of the "Select All" checkbox
        $('.select-box').prop('checked', $(this).prop('checked'));
    });
    checkSelection(); 
});

    
<!-- select filter in a list that equals filter=name in the url leading to this page -->
document.addEventListener("DOMContentLoaded", function () {
            // Get the current URL
            var currentURL = new URL(window.location.href);
            console.log("currentURL:", currentURL);
            // Create a URLSearchParams object to parse the query parameters
            var urlParams = new URLSearchParams(currentURL.search);
            console.log("urlParams:", urlParams);
            // Get the value of the "folder" parameter
            var folderValue = urlParams.get("folder");
            console.log("folderValue:", folderValue);
            // Check if the "folder" parameter is present
            if (folderValue !== null) {
                // The "folder" parameter is present
                console.log("Folder value:", folderValue);
            } else {
                // The "folder" parameter is not present
                console.log("Folder parameter not found in the URL. Will be INBOX");
                folderValue = "INBOX";
            }
            // Loop through each link in the filters sidebar
            var links = document.querySelectorAll("#folders-sidebar-wrapper ul li a");
            links.forEach(function (link) {
              // Check if the link's href contains the folderValue
              if (link.text === folderValue) {
                // Add a "active" class or any styling you want to apply
                    link.classList.add("active");
                    console.log("Folder active:", link.classList);
              } else {
                    console.log("Folder NOT active:", link);
              }
            });
            // Get the value of the "filter" parameter
            var filterValue = urlParams.get("search_filter");
            // Check if the "filter" parameter is present
            if (filterValue !== null) {
                // The "filter" parameter is present
                console.log("Filter value:", filterValue);
            } else {
                // The "filter" parameter is not present
                // console.log("Filter parameter not found in the URL. Will be ALL");
                filterValue = "ALL";
            }
            // Loop through each link in the filters sidebar
            var links = document.querySelectorAll("#filters-sidebar-wrapper ul li a");
            links.forEach(function (link) {
                // Check if the link's href contains the filterValue
                if (link.text === filterValue) {
                    // Add a "active" class or any styling you want to apply
                    link.classList.add("active");
                    console.log("Filter active:", link.classList);
                } else {
                    console.log("Filter NOT active:", link);
                }
            });
            // figure out if sidebars should be presented (LG, MD) or not (XS, SM)
            var windowWidth = $(window).width();
            if (windowWidth < 768) {
                // Extra Small (xs) screens
                console.log('Current screen size: XS');
            } else if (windowWidth >= 768 && windowWidth < 992) {
                // Small (sm) screens
                console.log('Current screen size: SM');
            } else if (windowWidth >= 992 && windowWidth < 1200) {
                // Medium (md) screens
                console.log('Current screen size: MD');
                $("#wrapper").toggleClass("filtersMenuDisplayed", true);
                $("#wrapper").toggleClass("foldersMenuDisplayed", true);
            } else {
                // Large (lg) screens, show sidebars
                console.log('Current screen size: LG');
                $("#wrapper").toggleClass("filtersMenuDisplayed", true);
                $("#wrapper").toggleClass("foldersMenuDisplayed", true);
            }
        });

    
<!-- search js -->
$(document).ready(function () {
    $('#search-users').keyup(function () {
        var searchText = $(this).val();
                if (searchText.length > 0) {
                    $('tbody td:icontains(' + searchText + ')').addClass('positive');
                    $('td.positive').not(':icontains(' + searchText + ')').removeClass('positive');
                    $('tbody td').not(':icontains(' + searchText + ')').closest('tr').addClass('hidden').hide();
                    $('tr.hidden:icontains(' + searchText + ')').removeClass('hidden').show();
                } else {
                    $('td.positive').removeClass('positive');
                    $('tr.hidden').removeClass('hidden').show();
            }
    });
});

<!-- floating window script-->
function openFloatingWindow() {
            // Display the floating window
            document.getElementById('floatingWindow').style.display = 'block';
}

function closeFloatingWindow() {
            // Hide the floating window
            document.getElementById('floatingWindow').style.display = 'none';
}

function selectItem(item, folder, search_filter) {
            // Your custom logic with the selected item
            // console.log("selectItem:");
            // Get all select boxes
            var selectBoxes = document.querySelectorAll('.select-box');
            // console.log("selectBoxes:",selectBoxes);
            // get eids of selected select boxes
            const result = getCheckedEids(selectBoxes);
            console.log("getCheckedEids:",result);  // this is eids
            var target_folder = item
            // Check if the "target_folder" parameter is present and not== to folder
            if (target_folder !== null && target_folder !== folder && target_folder !== undefined) {
                // The "target_folder" parameter is present and OK
                // console.log("target_folder value:", target_folder);
                // Construct the URL with parameters
                var targetUrl = '/mails_move?folder=' + encodeURIComponent(folder) + '&target_folder=' + encodeURIComponent(target_folder) + '&eids=' + encodeURIComponent(result) + '&search_filter=' + encodeURIComponent(search_filter); 
                // Redirect to the constructed URL
                // console.log('Jump to URL:', targetUrl);// Log the current URL to the console
                window.location.href = targetUrl;
            } else {
                // The "target_folder" parameter is not present, NOK
                console.log("target_folder problem value:", target_folder);
            }
            // Close the floating window after selecting an item
            closeFloatingWindow();
}
